﻿Imports System.IO
Imports System.Data
Imports System.Linq
Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim ds As New DataSet()
            ds.ReadXml(Server.MapPath("~/Customers.xml"))
            rptCustomers.DataSource = ds.Tables(0).Rows.Cast(Of DataRow)().Take(10).CopyToDataTable()
            rptCustomers.DataBind()
        End If
    End Sub

    Protected Sub ExportToExcel(sender As Object, e As EventArgs)
        Using sw As StringWriter = New StringWriter()
            Dim hw As HtmlTextWriter = New HtmlTextWriter(sw)
            Response.Clear()
            Response.Buffer = True
            Response.AddHeader("content-disposition", "attachment;filename=RepeaterExport.xls")
            Response.Charset = ""
            Response.ContentType = "application/vnd.ms-excel"
            rptCustomers.RenderControl(hw)
            Response.Output.Write(sw.ToString())
            Response.Flush()
            Response.End()
        End Using
    End Sub
End Class
